Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.cache
[Java] Interface ResolutionRules

    @Incubating
    public interface ResolutionRules

Represents a set of rules/actions that can be applied during dependency resolution. Currently these are restricted to controlling caching, but these could possibly be extended in the future to include other manipulations.

Method Summary
`void` | `eachArtifact(Action rule)` Apply a rule to control resolution of artifacts.
`void` | `eachDependency(Action rule)` Apply a rule to control resolution of dependencies.
`void` | `eachModule(Action rule)` Apply a rule to control resolution of modules.

Method Detail

### eachArtifact

    public void eachArtifact(Action rule)

  Apply a rule to control resolution of artifacts.
  Parameters:
    `rule` - the rule to apply

### eachDependency

    public void eachDependency(Action rule)

  Apply a rule to control resolution of dependencies.
  Parameters:
    `rule` - the rule to apply

### eachModule

    public void eachModule(Action rule)

  Apply a rule to control resolution of modules.
  Parameters:
    `rule` - the rule to apply

Gradle API 1.10